MORYLAB;

エンジニアの卵がソースコードやライフログを綴るブログ。

Herokuでpg1.0が動かなかった件

昨日ごろからHerokuのデプロイでコケまくっていてすっかり辟易していたのだが、今日やっとその原因がわかった。

その原因は "pg"。
RailsPostgreSQLを使うときに用いるgemだ。


一昨日にバージョンが1.0.0に更新されていた。

f:id:morrrry:20180112175816p:plain


これは怪しさMAXなので、バージョンを戻す。


- gem 'pg', group: :production  
+ gem 'pg', '0.21.0', group: :production


すると、普通にデプロイが通った。

これで心安らかに眠れる。
アドバイスしてくださったバイト先のKさん、ありがとうございました。